%define base_name kde-icons 
%define theme_name Gartoon.Blue-PNG 
%define version v1.3 
%define name %{base_name}-%{theme_name} 
%define release 2plf

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Gartoon icon for KDE Desktop
License:	Design Science License
Group:		Graphical desktop/KDE
Source:		%{theme_name}-%{version}.tar.bz2
URL:		http://kde-look.org/content/show.php?content=17362
Requires:	kdebase
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Port of the original Gartoon Gnome Icon Theme. 
It can be found @ http://zeus.qballcow.nl
This is in PLF because it contain non free icons.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}

%build

%install
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}/16x16
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}/32x32
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}/48x48
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}/64x64
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}/128x128
cp -fr * %buildroot%{_iconsdir}/%{theme_name}/
cp -f 16x16/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/16x16/apps/menuk-mdk.png
cp -f 16x16/apps/desktop.png %buildroot%_iconsdir/%{theme_name}/16x16/apps/desktop-mdk.png
cp -f 16x16/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/16x16/apps/home-mdk.png
cp -f 32x32/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/32x32/apps/menuk-mdk.png
cp -f 32x32/apps/desktop.png %buildroot%_iconsdir/%{theme_name}/32x32/apps/desktop-mdk.png
cp -f 32x32/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/32x32/apps/home-mdk.png
cp -f 48x48/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/48x48/apps/menuk-mdk.png
cp -f 48x48/apps/desktop.png %buildroot%_iconsdir/%{theme_name}/48x48/apps/desktop-mdk.png
cp -f 48x48/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/48x48/apps/home-mdk.png
cp -f 64x64/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/64x64/apps/menuk-mdk.png
cp -f 64x64/apps/desktop.png %buildroot%_iconsdir/%{theme_name}/64x64/apps/desktop-mdk.png
cp -f 64x64/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/64x64/apps/home-mdk.png
cp -f 128x128/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/128x128/apps/menuk-mdk.png
cp -f 128x128/apps/desktop.png %buildroot%_iconsdir/%{theme_name}/128x128/apps/desktop-mdk.png
cp -f 128x128/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/128x128/apps/home-mdk.png


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS
%{_iconsdir}/%{theme_name}/*
%changelog
* Wed Feb 09 2005 sebastien Savarin <plouf@zarb.org> v1.3-2plf
- fix icon error name
* Thu Feb 01 2005 sebastien Savarin <plouf@zarb.org> v1.3-1plf
- initial plf package


